Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3373 closed enhancement (fixed)

add confstr() method

Reported by: Jeff Mayes Owned by: Eshan dhawan <eshandhawan51@…>
Priority: low Milestone: Indefinite
Component: posix Version:
Severity: normal Keywords: POSIX-Compliance
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

See: http://pubs.opengroup.org/onlinepubs/9699919799/functions/confstr.html and http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/unistd.h.html

Based on the current Issue 7 description of confstr(), the FreeBSD implementation should be used as a guide but not directly merged into rtems-libbsd.

https://github.com/udp/freebsd-libc/blob/master/gen/confstr.c

The implementation needs to be in RTEMS itself and specific to RTEMS. It can be based on the FreeBSD version but we have to be confident that it accurately reflects the RTEMS capabilities.

This method is required by the FACE General Purpose Profile.

Change History (6)

comment:1 Changed on 03/26/18 at 22:51:41 by Jeff Mayes

Summary: add testsuites for confstradd testsuites for confstr method
Version: 5

comment:2 Changed on 03/27/18 at 14:56:07 by Joel Sherrill

Component: scoreposix
Description: modified (diff)
Summary: add testsuites for confstr methodadd confstr() method
Type: defectenhancement

comment:3 Changed on 03/30/20 at 14:21:55 by Joel Sherrill

Description: modified (diff)

comment:4 Changed on 03/30/20 at 17:41:53 by Joel Sherrill

Description: modified (diff)

comment:5 Changed on 08/18/21 at 14:26:29 by Eshan dhawan <eshandhawan51@…>

Owner: set to Eshan dhawan <eshandhawan51@…>
Resolution: fixed
Status: newclosed

In [changeset:"574cd83b5dc1a6c5c6d215c5c07434afa0e73ce4/rtems" 574cd83/rtems]:

confstr() support for RTEMS

Closes #3373

confstr() style update

Signed-off-by: Eshan Dhawan <eshandhawan51@…>

comment:6 Changed on 08/30/21 at 17:31:14 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b0f13f3778cc5192a4c89fab576b21a9140b3dc5/rtems" b0f13f3/rtems]:

psxtests/psxconfstr: Fix test case

Update #3373.

Note: See TracTickets for help on using tickets.